*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  font-family: "Roboto", serif;
  background: #242524;
  color: #fff;
  scroll-behavior: smooth;
}

:root {
  --primary-color: #5a6a8c;
  --secondary-color: #3d475e;
  --container-xl: 1300px;
  --container-lg: 1100px;
  --container-md: 900px;
  --container-sm: 600px;
}

img {
  max-width: 100%;
}

a {
  text-decoration: none;
  color: #fff;
}

ul {
  list-style: none;
}

.btn {
  padding: 10px 20px;
  border: 1px solid transparent;
}

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 20px 32px;
  background-color: transparent;
  z-index: 1000;
}

.navbar.scroll {
  background-color: var(--primary-color);
}

.navbar__flexbox {
  max-width: var(--container-xl);
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar__logo {
  width: 150px;
  height: 50px;
}

.navbar__menu-list {
  display: flex;
  gap: 30px;
}

.navbar__menu-list-item {
  font-size: 1.1rem;
}

.navbar__mobile-menu {
  display: none;
}

.navbar__mobile-menu-list {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  text-align: center;
  transition: transform 0.8s ease-in-out;
  transform: translateX(100%);
  background-color: var(--primary-color);
}

.navbar__mobile-menu-list.active {
  transform: translateX(0);
}

.navbar__mobile-menu-list-item {
  padding-bottom: 20px;
}

/* Hero Section */
.hero {
  background: url(../images/hero-background.jpg) center center/cover no-repeat;
  padding: 150px 32px;
  position: relative;
}

.hero::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(90, 106, 140, 0.9);
}

.hero__grid {
  max-width: var(--container-xl);
  margin: 0 auto;
  position: relative;
  display: grid;
  grid-template-columns: 40% 60%;
  gap: 50px;
  align-items: center;
}

.hero__content-title {
  font-size: 3.8rem;
  margin-bottom: 20px;
}

.hero__content-description {
  max-width: 500px;
  font-size: 1.2rem;
  line-height: 1.5;
  margin-bottom: 40px;
}

.hero__content-button {
  border-color: #fff;
}

/* About Section */
.about {
  padding: 100px 32px;
}

.about__grid {
  max-width: var(--container-xl);
  margin: 0 auto;
  display: grid;
  gap: 50px;
  grid-template-columns: repeat(2, 1fr);
}

.about__title {
  font-size: 2.5rem;
  color: var(--secondary-color);
  margin-bottom: 50px;
}

.about__details {
  max-width: 80%;
  margin-left: auto;
}

.about__details-description {
  font-size: 1.1rem;
  line-height: 1.5;
  margin-bottom: 30px;
}

.about__details-button {
  background: var(--primary-color);
  padding: 10px 30px;
}

.about__image {
  position: relative;
}

.about__image-img {
  width: calc(100% - 70px);
  margin-left: auto;
}

.about__image-text {
  max-width: 300px;
  position: absolute;
  bottom: -50px;
  left: 0;
  background-color: var(--primary-color);
  padding: 30px;
}

.about__image-description {
  font-size: 1.2rem;
  line-height: 1.5;
  margin-bottom: 10px;
}

.about__image-line-break {
  width: 140px;
  height: 2px;
  background: #fff;
  margin-bottom: 10px;
}

.about__image-name {
  color: #f4f4f4;
}

/* Team Section */
.team {
  padding: 100px 32px;
  text-align: center;
}

.team__description {
  font-size: 1.3rem;
  margin-bottom: 5px;
}

.team__header {
  font-size: 2.5rem;
  color: var(--secondary-color);
  margin-bottom: 40px;
}

.team__grid {
  max-width: var(--container-xl);
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

.team__grid-image {
  width: 100%;
}

.team__user-details {
  padding: 20px;
  background-color: var(--primary-color);
  position: relative;
  top: -10px;
}

.team__user-name {
  font-size: 1.5rem;
  margin-bottom: 10px;
}

.team__user-socials {
  display: flex;
  gap: 10px;
  justify-content: center;
}

/* Team Section */
.pricing {
  padding:50px 32px 100px;
}

.pricing__grid {
  max-width: var(--container-xl);
  margin: auto;
  display: grid;
  grid-template-columns: 1.5fr 1fr 1fr;
  gap: 50px;
}

.pricing__header {
  font-size: 2.5rem;
  color: var(--secondary-color);
  margin-bottom: 20px;
}

.pricing__description{
  font-size: 1.2rem;
  list-style: 1.5;
  margin-bottom: 30px;
}

.pricing__button {
  background-color: var(--primary-color);
}

.pricing__plan {
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: center;
  align-items: center;
  padding: 30px;
  background-color: var(--primary-color);
  text-align: center;
}

.pricing__plan-title {
  font-size: 1.4rem;
}

.pricing__currency {
  font-size: 2rem;
  margin-right: 3px;
}

.pricing__feature-list {
  display: flex;
  flex-direction: column;
  gap: 20px;

  i {
    margin-right: 20px;
  }
}

/* Gallery Section */
.gallery {
  padding: 50px 0;
  text-align: center;
}

.gallery__description {
  font-size: 1.3rem;
  margin-bottom: 5px;
}

.gallery__header {
  font-size: 2.5rem;
  color: var(--secondary-color);
  margin-bottom: 40px;
}

.gallery__flex-wrapper {
  position: relative;
  overflow: hidden;
}

.gallery__flex {
  display: flex;
  gap: 20px;
  overflow-x: scroll;
  flex-wrap: nowrap;
  scrollbar-width: none;
}


.gallery__flex::before,
.gallery__flex::after {
  position: absolute;
  content: '';
  background-color: #242524;
  height: 100px;
  border-radius: 50%;
  left: -30px;
  right: -30px;
  z-index: 3;
}

.gallery__flex::before{
  top:-50px;
}

.gallery__flex::after {
  bottom: -50px;
}

.gallery__flex-item {
  flex-shrink: 0;
}

.gallery__flex-item img {
  height: 300px;
}

/* Testimonial Section */
.testimonial {
  padding: 50px 32px 100px;
}

.testimonial__container {
  max-width: 700px;
  margin: 0 auto;
}

.testimonial__user {
  font-size: 1.1rem;
  line-height: 1.4;
  margin-bottom: 15px;
  color: #f4f4f4;
}

.testimonial__user-name {
  margin-bottom: 5px;
}

.testimonial__user-position {
  color: #f4f4f4;
}

/* Contact Section */
.contact {
  background-color: var(--primary-color);
  padding: 32px;
  
}
.contact__grid {
  max-width: var(--container-xl);
  margin: 0 auto;
}

/* .contact__content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50% ,-50%);
  max-width: 100%;
} */

.contact__title {
  font-size: 2.5rem;
  max-width: 380px;
  margin-bottom: 50px;
}

.contact__details {
  display: flex;
  gap: 50px;
  align-items: center;
}

.contact__schedule {
  background: url(../images/schedule-background.jpg) center center/cover no-repeat;
  padding:120px 20px;
  text-align: center;
  position: relative;
  width: 500px;
  max-width: 100%;
}

.contact__schedule::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: hsla(0, 0%, 100%, 0.529);
}

.contact__schedule-time--primary {
  font-size: 2rem;
  color: var(--primary-color);
  position: relative;
  max-width: 100%;
}

.contact__schedule-time {
  font-size: 1.4rem;
  margin-bottom: 20px;
  color: #242524;
  position: relative;
  max-width: 100%;
}

.contact__info-flex-item {
  display: flex;
  gap: 20px;
  align-items: flex-start;
  margin-bottom: 40px;
  max-width: 100%;

  i {
    background-color: #fff;
    color: #242524;
    padding: 20px;
  }
}

.contact__info-details-title {
  font-size: 1.2rem;
  margin-bottom: 10px;
  max-width: 100%;
}

.contact__info-details-description {
  font-size: 1rem;
  color: #f4f4f4;
  max-width: 100%;
}

.contact__socials {
  display: flex;
  gap: 20px;
  font-size: 2rem;
  max-width: 100%;
}



@media (max-width:992px) {
  .navbar__flexbox {
    max-width: 700px;
  }

  .navbar__menu {
    display: none;
  }

  .navbar__mobile-menu {
    display: block;
  }

  .hero {
    padding: 150px 32px 50px;
  }

  .hero__grid {
    grid-template-columns: 1fr;
    max-width: 700px;
  }

  .hero__content {
    grid-row: 1/2;
  }

  .about__grid {
    grid-template-columns: 1fr;
    max-width: 700px;
  }

  .about__details {
    max-width: 100%;
  }

  .about__image-img {
    width: 100%;
    
    img {
      width: 100%;
    }
  }

  .team__grid {
    grid-template-columns: repeat(2, 1fr);
    max-width: 700px
  }

  .pricing__grid {
    max-width: 700px;
    grid-template-columns: repeat(2, 1fr);
  }

  .pricing__content {
    grid-column: span 2;
  }

  .contact__grid {
    max-width: 700px;
  }

}

@media (max-width:768px) {
  .hero__content-title {
    font-size: 2.5rem;
  }

  .about {
    padding-top: 50px;
    padding-bottom: 200px;
  }
  
  .contact__details {
    display: flex;
    flex-direction: column;
    gap: 50px;
    align-items: flex-start;
  } 
}

@media (max-width:568px) {
  .about__image-text {
    bottom: -150px;
    left: 0;
    max-width: 100%;
  }

  .team__grid {
    grid-template-columns: 1fr;
  }

  .pricing__grid {
    grid-template-columns: 1fr;
  }

  .pricing__content {
    grid-column: span 1;
  }

}